body {
  background-color: #e6edf461;
}

.alert-error, .alert-warning, .alert-info, .alert-success {
    background-color: #e6edf4;
    color: #355477FF;
	margin-bottom: 8px;
}

.login-pf-page .card-pf p {
	color: #355477FF;
}

#loginContinueLink {
	color: #355477FF;
	text-decoration: underline;
}

#loginRestartLink {
	color: #355477FF;
	text-decoration: underline;
}


#kc-locale ul {
    display: none;
    position: absolute;
    background-color: #e6edf4;
    list-style: none;
    right: 0;
    top: 20px;
    min-width: 100px;
    padding: 2px 0;
    border: solid 1px #bbb;
}

#kc-locale:hover ul {
    display: block;
    margin: 0;
}

#kc-locale ul li a {
    display: block;
    padding: 5px 14px;
    color: #000 !important;
    text-decoration: none;
    line-height: 20px;
}

#kc-locale ul li a:hover {
    color: #4d5258;
    background-color: #d4edfa;
}

#kc-locale-dropdown a {
    color: #4d5258;
    background: 0 0;
    padding: 0 15px 0 0;
    font-weight: 300;
}

#kc-locale-dropdown a:hover {
    text-decoration: none;
}

.pf-c-dropdown__menu-item {
	color: #355477FF;	
}

a#kc-current-locale-link {
	color: #355477FF;
    display: block;
    padding: 0 5px;
}

a#kc-current-locale-link::after {
    content: "\2c5";
    margin-left: 4px;
}

.login-pf .container {
    padding-top: 40px;
}

.login-pf a:hover {
    color: #719bc8;
}

#kc-logo {
    width: 100%;
}

div.kc-logo-text {
    background-image: url(../img/keycloak-logo-text.png);
    background-repeat: no-repeat;
    height: 63px;
    width: 300px;
    margin: 0 auto;
}

div.kc-logo-text span {
    display: none;
}

p.instruction {
    margin: 5px 0; 
	color: #355477FF;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
}

/* #kc-header-wrapper {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
    color: transparent;
    background: url("../img/logo-famhp.gif") no-repeat center;
    background-size: 12%;
}*/

.kc-lang-fr {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
    color: transparent;
    background: url("../img/logo-afmps.gif") no-repeat center;
    background-size: 12%;
}

.kc-lang-nl {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
    color: transparent;
    background: url("../img/logo-fagg.gif") no-repeat center;
    background-size: 12%;
}

.kc-lang-en {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
    color: transparent;
    background: url("../img/logo-famhp.gif") no-repeat center;
    background-size: 12%;
}

#kc-content {
    width: 100%;
}

#kc-attempted-username{
	color: #355477FF;
    font-size: 20px;
    font-family:inherit;
    font-weight: normal;
    padding-right:10px;
}

#kc-username{
    text-align: center;
}

#kc-webauthn-settings-form{
    padding-top:8px;
}

#kc-info {
    padding-bottom: 200px;
    margin-bottom: -200px;
}

#kc-info-wrapper {
	color: #355477FF;
    font-size: 13px;
}

#kc-form-options span {
    display: block;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #72767b;
}

#kc-terms-text {
    margin-bottom: 20px;
}

.terms-title {
	color: #355477FF;
    font-weight: bold;	
}

#kc-registration {
    margin-bottom: 15px;
}

/* TOTP */

.subtitle {
    text-align: right;
    margin-top: 30px;
    color: #909090;
}

.required {
    color: #CB2915;
}

ol#kc-totp-settings {
    margin: 0;
    padding-left: 20px;
}

ol#kc-totp-settings li p {
	margin-bottom: 10px:
	color: #355477FF;
}

ul#kc-totp-supported-apps {
  margin-bottom: 10px;
  color: #355477FF;
}

#mode-manual, #mode-barcode {
	color: #355477FF;
	text-decoration: underline;
}


#kc-totp-type, #kc-totp-algorithm, #kc-totp-digits, #kc-totp-period {
	color: #355477FF;
	font-weight: bold;	
}
#kc-totp-secret-qr-code {
    max-width:150px;
    max-height:150px;
}

#input-error-otp-code {
	color: #CB2915;
}

#kc-totp-secret-key {
	border-radius: 6px;
    color: #333333;
    font-size: 16px;
	font-weight: bold;
    padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
    margin-top: 0;
}

#kc-oauth ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#kc-oauth ul li {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
    border-top: 0;
}

#kc-oauth .kc-role {
    display: inline-block;
    width: 50%;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

/* Errors */

#input-error {
	color: #E5352C;
}

/* Social */

.kc-social-section {
    text-align: center;
}

.kc-social-section hr{
    margin-bottom: 10px;
	color: black;
}

.separator-with-text {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0; 
}

.separator-line {
    flex-grow: 1;
    height: 1px;
    background-color: #355477FF; 
    margin: 0 10px; 
}

.separator-text {
    font-size: 16px;
    color: #355477FF; 
    text-transform: uppercase;
}

#idpChoice {
	font-size:15px;
	color: #355477FF;
}

.pf-c-button.pf-m-control {
    text-decoration: none !important; 
	box-shadow: 0 2px 3px rgba(3, 3, 3, .1);
	border-radius: 6px;
	padding-block: 0.625rem;
	border: 1px black;
	font-size: 1rem;
    font-family: inherit;
    font-feature-settings: inherit;
    transition: background 0.2s, color 0.2s, border-color 0.2s, outline-color 0.2s, box-shadow 0.2s;
    gap: 0.5rem;
    font-weight: 600;
	color: #355477FF;
}

.pf-c-button.pf-m-control:hover {
	background-color: #9BE0B7;
    text-decoration: none !important; 
	color: #355477FF;
}

.pf-c-button.pf-m-control::after {
    border: none !important; 
}

.pf-c-button.pf-m-control:hover::after {
    border: none !important;
}

#kc-social-providers ul {
    padding: 0;
}

#kc-social-providers li {
    display: block;
}

#kc-social-providers li:first-of-type {
    margin-top: 0;
}

.kc-social-links {
    margin-top: 20px;
}

.kc-social-provider-logo {
    font-size: 23px;
    width: 30px;
    height: 25px;
    float: left;
}

.kc-social-provider-name {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;  /* Laisse le texte se développer pour occuper l'espace restant */
    font-size: 16px;
    text-align: center; 
}

.kc-social-gray {
    color: #e6edf4;
}

.kc-social-item {
    margin-bottom: var(--pf-global--spacer--sm);
    font-size: 15px;
    text-align: center;
}

.kc-login-tooltip{
    position:relative;
    display: inline-block;
}

.kc-login-tooltip .kc-tooltip-text{
    top:-3px;
    left:160%;
    background-color: black;
    visibility: hidden;
    color: #fff;

    min-width:130px;
    text-align: center;
    border-radius: 2px;
    box-shadow:0 1px 8px rgba(0,0,0,0.6);
    padding: 5px;

    position: absolute;
    opacity:0;
    transition:opacity 0.5s;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
    visibility: visible;
    opacity:0.7;
}

/* Remember Me and Forgot Password */

#forgotPassword {
	color: #355477FF;
	text-decoration: underline;
}

#backToLogin {
	color: #355477FF;
	text-decoration: underline;
}

#rememberMeLabel {
	color: #355477FF;
}

/* Arrow for tooltip */
.kc-login-tooltip .kc-tooltip-text::after {
    content: " ";
    position: absolute;
    top: 15px;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

.zocial,
a.zocial  {
    width: 100%;
    font-weight: normal;
    font-size: 14px;
    text-shadow: none;
    border: 0;
    background: #f5f5f5;
    color: #72767b;
    border-radius: 0;
    white-space: normal;
}
.zocial:before {
  border-right: 0;
  margin-right: 0;
}
.zocial span:before {
    padding: 7px 10px;
    font-size: 14px;
}
.zocial:hover {
    background: #ededed !important;
}

.zocial.facebook,
.zocial.github,
.zocial.google,
.zocial.microsoft,
.zocial.stackoverflow,
.zocial.linkedin,
.zocial.twitter {
    background-image: none;
    border: 0;

    box-shadow: none;
    text-shadow: none;
}

/* Copy of zocial windows classes to be used for microsoft's social provider button */
.zocial.microsoft:before{ content: "\f15d"; }
.zocial.stackoverflow:before{ color: inherit; }


@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 9999;
    }
}

@media (max-width: 767px) {

    #kc-header {
        padding-left: 15px;
        padding-right: 15px;
        float: none;
        text-align: center;
    }

    /* #kc-header-wrapper {
      font-size: 16px;
      font-weight: bold;
      padding: 20px 60px ;
      color: #72767b;
      letter-spacing: 0;
      color: transparent;
      background: url("../img/logo-famhp.gif") no-repeat center;
      background-size: 30%;
    } */
	
	.kc-lang-fr {
      font-size: 16px;
      font-weight: bold;
      padding: 20px 60px ;
      color: #72767b;
      letter-spacing: 0;
      color: transparent;
      background: url("../img/logo-afmps.gif") no-repeat center;
      background-size: 30%;
	}

	.kc-lang-nl {
      font-size: 16px;
      font-weight: bold;
      padding: 20px 60px ;
      color: #72767b;
      letter-spacing: 0;
      color: transparent;
      background: url("../img/logo-fagg.gif") no-repeat center;
      background-size: 30%;
	}

	.kc-lang-en {
		font-size: 29px;
		text-transform: uppercase;
		letter-spacing: 3px;
		line-height: 1.2em;
		padding: 62px 10px 20px;
		white-space: normal;
		color: transparent;
		background: url("../img/logo-famhp.gif") no-repeat center;
		background-size: 12%;
	}

    div.kc-logo-text {
        margin: 0;
        width: 150px;
        height: 32px;
        background-size: 100%;
    }

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
		color: #355477FF;
        border-top: 1px solid rgba(255, 255, 255, 0.1);
        margin-top: 15px;
        padding-top: 15px;
        padding-left: 0px;
        padding-right: 15px;
    }

    #kc-social-providers li {
        display: block;
        margin-right: 5px;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #kc-locale {
        position: absolute;
        width: 200px;
        top: 20px;
        right: 20px;
        text-align: right;
        z-index: 9999;
    }

    #kc-logo-wrapper {
        background-size: 100px 21px;
        height: 21px;
        width: 100px;
        margin: 20px 0 0 20px;
    }

}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 10px;
}

#kc-form-buttons {
  margin-top: 40px;
}

.login-pf-page .login-pf-brand {
  margin-top: 20px;
  max-width: 360px;
  width: 40%;
}

.login-pf-header h1 {
    color: #656565;
}

.card-pf {
  background: #fff;
  margin: 0 auto;
  padding: 0 20px;
  max-width: 500px;
  border-top: 0;
  box-shadow: 0px 2px 8px 0px rgba(53, 84, 119, 0.20);
}

/*tablet*/
@media (max-width: 840px) {
    .login-pf-page .card-pf{
      max-width: none;
      margin-left: 20px;
      margin-right: 20px;
      padding: 20px 20px 30px 20px;
    }
}
@media (max-width: 767px) {
    .login-pf-page .card-pf{
      max-width: none;
      margin-left: 0;
      margin-right: 0;
      padding-top: 0;
    }
    .card-pf.login-pf-accounts{
      max-width: none;
    }
}

.login-pf-page .login-pf-signup {
  font-size: 15px;
  color: #72767b;
}
#kc-content-wrapper .row {
  margin-left: 0;
  margin-right: 0;
}

@media (min-width: 768px) {
  .login-pf-page .login-pf-social-section:first-of-type {
    padding-right: 39px;
    border-right: 1px solid #d1d1d1;
    margin-right: -1px;
  }
  .login-pf-page .login-pf-social-section:last-of-type {
    padding-left: 40px;
  }
  .login-pf-page .login-pf-social-section .login-pf-social-link:last-of-type {
    margin-bottom: 0;
  }
}

.login-pf-page .login-pf-social-link {
  margin-bottom: 25px;
}
.login-pf-page .login-pf-social-link a {
  padding: 2px 0;
}

.login-pf-page.login-pf-page-accounts {
  margin-left: auto;
  margin-right: auto;
}

.login-pf-page .btn-primary {
    margin-top: 0;
}

.login-pf-page .list-view-pf .list-group-item {
    border-bottom: 1px solid #ededed;
}

.login-pf-page .list-view-pf-description {
    width: 100%;
}

.login-pf-page .card-pf{
  margin-bottom: 10px;
  background-color: #e6edf4;
  border-radius: 8px;
}

#kc-form-login div.form-group:last-of-type,
#kc-register-form div.form-group:last-of-type,
#kc-update-profile-form div.form-group:last-of-type {
    margin-bottom: 0px;
}

#kc-back {
    margin-top: 5px;
}

form#kc-select-back-form div.login-pf-social-section {
    padding-left: 0px;
    border-left: 0px;
}

/* Title */

#kc-page-title {
	color: #355477FF;
    font-size: 24px;
    line-height: normal;
    font-weight: 500;
}
.kc-page-title::after {
    content: " to PLATO";
}

.control-label {
	font-size: 12px;
    line-height: 14px;
    font-weight: 500;
    margin-bottom: 4px;
    color: #355477FF;
}

.login-pf-page .form-control {
	border-radius: 8px;
    color: #656565;
}

.btn-primary {
    color: rgb(53, 84, 119);
    background: rgb(137, 219, 170);
    border-width: 1px;
    border-style: solid;
    border-color: rgb(137, 219, 170);
    border-image: initial;
    display: inline-flex;
    cursor: pointer;
    user-select: none;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    padding-block: 0.625rem;
    padding-inline: 1rem;
    font-size: 1rem;
    font-family: inherit;
    font-feature-settings: inherit;
    transition: background 0.2s, color 0.2s, border-color 0.2s, outline-color 0.2s, box-shadow 0.2s;
    border-radius: 6px;
    outline-color: transparent;
    gap: 0.5rem;
    font-weight: 600;
}

.btn-primary:hover {
    background-color: #9BE0B7;
    background-image: linear-gradient(to bottom,#9BE0B7 0,#9BE0B7 100%);
    background-repeat: repeat-x;
    border-color: #9BE0B7;
    color: #355477FF;
}

.btn-default {
	color: #355477FF;
    display: inline-flex;
    cursor: pointer;
    user-select: none;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    padding-block: 0.625rem;
    padding-inline: 1rem;
    font-size: 1rem;
    font-family: inherit;
    font-feature-settings: inherit;
    transition: background 0.2s, color 0.2s, border-color 0.2s, outline-color 0.2s, box-shadow 0.2s;
    border-radius: 6px;
    outline-color: transparent;
    gap: 0.5rem;
    font-weight: 600;
}

.btn-default:hover {
	background-color: #9BE0B7;
	color: #355477FF;
}

.form-control:hover {
    border-color: #719bc8;
}

.form-control:focus {
    border-color: #719bc8;
    outline: 0;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(113,155,200,.6);
}